From 62e7a9bc27c6bafc16ef8bf58443c7043684814f Mon Sep 17 00:00:00 2001
From: Tamizh Chelvam <tamizhr@codeaurora.org>
Date: Thu, 29 Jul 2021 15:34:02 +0530
Subject: fft_eval: Extend graph plotting support for 6G

Extend graph potting frequency limit to support 6G frequency

Signed-off-by: Tamizh Chelvam <tamizhr@codeaurora.org>
---
 fft_eval_sdl.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/fft_eval_sdl.c b/fft_eval_sdl.c
index 733fe78..1823746 100644
--- a/fft_eval_sdl.c
+++ b/fft_eval_sdl.c
@@ -479,7 +479,7 @@ static int draw_picture(int highlight, int startfreq)
 		}
 
 	/* vertical lines (frequency) */
-	for (i = 2300; i < 6000; i += 10) {
+	for (i = 2300; i < 7200; i += 10) {
 		x = (X_SCALE * (i - startfreq));
 
 		if (x < 0 || x > WIDTH)
@@ -663,7 +663,7 @@ static void graphics_main(char *name, char *fontdir)
 			change = 1;
 		}
 		if (startfreq < 2300)		startfreq = 2300;
-		if (startfreq > 6000)		startfreq = 6000;
+		if (startfreq > 7200)		startfreq = 7200;
 		if (accel < -20)		accel = -20;
 		if (accel >  20)		accel = 20;
 	}
-- 
2.7.4

